package com.oferteo.api.v1.client.rest;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Locale;

public class RfpSearchResult 
{
	private Collection<RfpRest> rfps = new ArrayList<RfpRest>();
	private long  rfpsCounter;
	private String selectedCategoryName;
	private String selectedLocationName;
	private Locale locale;
	private String oferteoPrefixUrl;
	private String oc;
	
	protected RfpSearchResult(Collection<RfpRest> rfps, long rfpsCounter,
			String selectedCategoryName, String selectedLocationName, String oferteoPrefixUrl, String oc) 
	{
		super();
		this.rfps = rfps;
		this.rfpsCounter = rfpsCounter;
		this.selectedCategoryName = selectedCategoryName;
		this.selectedLocationName = selectedLocationName;
		this.oc = oc;
		this.oferteoPrefixUrl = oferteoPrefixUrl;
	}
	
	public Collection<RfpRest> getRfps() {
		return rfps;
	}
	public long getRfpsCounter() {
		return rfpsCounter;
	}
	public String getSelectedCategoryName() {
		return selectedCategoryName;
	}
	public String getSelectedLocationName() {
		return selectedLocationName;
	}
	public String getOferteoPrefixUrl() {
		return oferteoPrefixUrl;
	}
	public String getOc() {
		return oc;
	}
}
