package com.oferteo.api.v1.client.rest;

import java.util.Locale;

public class RfpsSingleColumnHtmlBuilder extends RfpsHtmlBuilder 
{
	public RfpsSingleColumnHtmlBuilder(RfpSearchResult rfpSearch, String urlPrefix, Locale locale, String currentUrl, String selectedCategoryUrl, String selectedLocationUrl, int pageSize, int sort, String urlQueryString, String widget) 
	{
		super(rfpSearch, urlPrefix, locale, currentUrl, selectedCategoryUrl, selectedLocationUrl, pageSize, sort, urlQueryString, widget);
	}
	
	public String getHtml() 
	{
		getSb().setLength(0);
		
		addRfpListAndPagination();
		MainCitiesHtmlBuilder mainCitiesBuilder = new MainCitiesHtmlBuilder(getSelectedCategoryUrl(), getUrlPrefix(), true, getLocale());
		getSb().append(mainCitiesBuilder.getHtml());

		return getSb().toString();
	}

}
